Package com.documentum.fc.client

# Interface IDfLocalModuleRegistry

All Superinterfaces:
  `IDfModuleRegistry`

public interface IDfLocalModuleRegistry extends IDfModuleRegistry

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfModuleDescriptor`
  `getAspectDescriptor(String aspectName)`
  Gets the meta data for the Aspect mapped to the aspect name, if found.
  `IDfEnumeration`
  `getAspectDescriptors()`
  Get a list of all Aspects available .
  `IDfModuleDescriptor`
  `getModuleDescriptor(String moduleName)`
  Gets the meta data for the service mapped to the service name, if found.
  `IDfEnumeration`
  `getModuleDescriptors()`
  Get a list of all modules available.
  `IDfModuleDescriptor`
  `getTboDescriptor(String typeName)`
  Gets the meta data for the Type Based Business Objects mapped to the type name, if found.
  `IDfEnumeration`
  `getTboDescriptors()`
  Get a list of all Type Based Business Objects (TBO) available.

  ### Methods inherited from interface com.documentum.fc.client.IDfModuleRegistry

  `list`

- ## Method Details

  - ### getModuleDescriptors

    IDfEnumeration getModuleDescriptors() throws DfException
    Get a list of all modules available. This method will return a list of all services registered in the repository and all services registered in dbor.properties
    Returns:
      IDfEnumeration of `IDfModuleDescriptor`
    Throws:
      `DfException`

  - ### getModuleDescriptor

    IDfModuleDescriptor getModuleDescriptor(String moduleName) throws DfException
    Gets the meta data for the service mapped to the service name, if found.
    Parameters:
      `moduleName` - A String that represents the module name
    Returns:
      IDfBusinessObjectMetaData meta data for the module requested
    Throws:
      `DfException` - if `serviceName` cannot be located or, the business object found is not a service

  - ### getTboDescriptors

    IDfEnumeration getTboDescriptors() throws DfException
    Get a list of all Type Based Business Objects (TBO) available. This method will return a list of all TBOs registered in the repository and all TBOs registered in dbor.properties
    Returns:
      IDfEnumeration of `IDfModuleDescriptor`
    Throws:
      `DfServiceException`
      `DfException`

  - ### getTboDescriptor

    IDfModuleDescriptor getTboDescriptor(String typeName) throws DfException
    Gets the meta data for the Type Based Business Objects mapped to the type name, if found.
    Parameters:
      `typeName` - A String that represents the Type Based Business Objects name
    Returns:
      IDfBusinessObjectMetaData meta data for the TBO requested
    Throws:
      `DfException` - if `typeName` cannot be located or, the business object found is not a TBO

  - ### getAspectDescriptors

    IDfEnumeration getAspectDescriptors() throws DfException
    Get a list of all Aspects available .
    Returns:
      IDfEnumeration of `IDfModuleDescriptor`
    Throws:
      `DfServiceException`
      `DfException`

  - ### getAspectDescriptor

    IDfModuleDescriptor getAspectDescriptor(String aspectName) throws DfException
    Gets the meta data for the Aspect mapped to the aspect name, if found.
    Parameters:
      `aspectName` - A String that represents the Aspect name
    Returns:
      IDfBusinessObjectMetaData meta data for the Aspect requested
    Throws:
      `DfException` - if `aspectName` cannot be located or, the business object found is not a TBO